# $Revision: 1.46.2.5 $, $Date: 2003/12/23 01:20:09 $
Summary:	Tk GUI toolkit for Tcl, with shared libraries
Summary(de):	Tk GUI-Toolkit fr Tcl mit gemeinsam genutzten Libraries
Summary(fr):	Boite  outil d'interfaage graphique Tk pour Tcl avec librairies partages
Summary(pl):	Tk GUI narzdzia dla Tcl wraz z bibliotekami dynamicznymi
Summary(ru):	Tk GUI toolkit  Tcl
Summary(tr):	Tk, TCL iin grafik kullanc arabirimi ara takmdr
Summary(uk):	Tk GUI toolkit  Tcl
Name:		tk
Version:	8.3.4
Release:	6
License:	BSD
Group:		Development/Languages/Tcl
Source0:	ftp://ftp.scriptics.com/pub/tcl/tcl8_3/%{name}%{version}.tar.gz
# Source0-md5:	02311d8f90734c4f5eaa62e9b36fe535
Patch0:		%{name}-ieee.patch
Patch1:		%{name}-manlnk.patch
Patch2:		%{name}-pil.patch
Patch3:		%{name}-headers_fix.patch
Patch4:		%{name}-opt_flags_pass_fix.patch
Patch5:		%{name}-ac253.patch
Icon:		tk.gif
URL:		http://www.tcl.tk/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	tcl-devel >= %{version}
Requires:	tcl >= %{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tk is a X Window widget set designed to work closely with the tcl
scripting language. It allows you to write simple programs with full
featured GUI's in only a little more time then it takes to write a
text based interface. Tcl/Tk applications can also be run on Windows
and Macintosh platforms.

%description -l de
Tk ist ein Widget-Satz fr X-Window fr den Einsatz mit der Script
Sprache Tcl. Sie knnen einfache Programme mit voll funktionsfhigen
GUIs in fast genauso schnell schreiben, wie eine zeichenorientierte
Oberflche. Tcl/Tk-Anwendungen knnen auch auf Windows und
Macintosh-Plattformen ausgefhrt werden.

%description -l fr
Tk est un ensemble de widgets X Window cre pour fonctionner avec le
langage de script Tcl. Il permet d'crire des programmes simples avec
des fonctionnalits entirement interfaces en  peine plus de temps
qu'avec interface texte. Les applications Tcl/Tk peuvent aussi
fonctionner sur des plateformes Windows ou Macintosh.

%description -l ja
Tk  tcl ץȸ̩ܤư褦˥ǥ󤵤줿 X Window
System ΥåȥåȤǤ ƥȥ١Υ󥿡ե
ѤƤΤǡħä GUI
򾯤ʤ֤ǡñʥץ ǽ񤯤ȤǤޤ Tcl/Tk
ץꥱ Windows  Macintosh
ΥץåȥեǼ¹Ԥ뤳ȤǤޤ

%description -l pl
Tk jest zbiorem kontrolek X Window, przeznaczonym do pracy z jzykiem
skryptowym tcl. Pakiet ten pozwoli Ci na pisanie prostych programw z
GUI.

%description -l ru
Tk -      X Window,  
    Tcl.   
        
,     .   Tcl/Tk 
   Windows  Macintosh.

%description -l tr
Tk, Tcl betimleme dili ile birlikte kullanlmak zere tasarlanm bir
X Window arayz eleman kmesidir. Tcl/Tk uygulamalar MS-Windows ve
Macintosh ortamlarnda da altrlabilir.

%description -l uk
Tk -  ¦  ͦצ  X Window,  
    Tcl.  Ѥ  æΦ
  Ʀ      ,  
  .   Tcl/Tk   
Ц Windoze  Macintosh.

%package devel
Summary:	Tk GUI toolkit for Tcl header files and development documentation
Summary(pl):	Narzdzia Tk GUI - pliki nagwkowe i dokumentacja
Group:		Development/Languages/Tcl
Requires:	XFree86-devel
Requires:	%{name} = %{version}
Requires:	tcl-devel >= %{version}

%description devel
Tk GUI toolkit for Tcl header files and develppment documentation.

%description devel -l pl
Narzdzia Tk GUI - pliki nagwkowe i dokumentacja.

%package demo
Summary:	Tk GUI toolkit for Tcl - demo programs
Summary(pl):	Narzdzia Tk GUI - programy demonstracjne
Group:		Development/Languages/Tcl
Requires:	%{name} = %{version}

%description demo
Tk GUI toolkit for Tcl - demo programs.

%description demo -l pl
Narzdzia Tk GUI - programy demonstracjne.

%prep
%setup -q -n %{name}%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
cd unix
%{__autoconf}
TCL_BIN_DIR=%{_libdir}
%configure \
	--disable-symbols \
	--enable-shared \
	--disable-threads \
	--enable-64bit \
	--enable-gcc

%{__make}

sed -e "s#%{_builddir}/%{name}%{version}/unix#%{_libdir}#; \
	s#%{_builddir}/%{name}%{version}#%{_includedir}#" tkConfig.sh > tkConfig.sh.new
mv -f tkConfig.sh.new tkConfig.sh

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_mandir}

cd unix
%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	MAN_INSTALL_DIR=$RPM_BUILD_ROOT%{_mandir}

ln -sf libtk8.3.so $RPM_BUILD_ROOT%{_libdir}/libtk.so
mv -f $RPM_BUILD_ROOT%{_bindir}/wish8.3 $RPM_BUILD_ROOT%{_bindir}/wish

install ../generic/tkInt.h $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so
%dir %{_libdir}/tk8.3
%{_libdir}/tk8.3/*.tcl
%{_libdir}/tk8.3/tclIndex
%{_mandir}/man1/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/*
%attr(755,root,root) %{_libdir}/tkConfig.sh
%{_libdir}/libtkstub8.3.a
%{_mandir}/man3/*
%{_mandir}/mann/*

%files demo
%defattr(644,root,root,755)
%{_libdir}/tk8.3/demos

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tk.spec,v $
Revision 1.46.2.5  2003/12/23 01:20:09  ankry
- rel. 6: rebuild with fixed -manlnk patch

Revision 1.46.2.4  2003/09/05 08:44:26  blues
- merged changes from HEAD

Revision 1.46.2.3  2003/09/05 08:38:31  blues
- release 5

Revision 1.46.2.2  2003/08/23 18:12:01  blues
- md5

Revision 1.46.2.1  2003/07/11 12:04:22  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.46  2002/06/27 20:07:04  qboosh
- fixed broken ac253 patch; release 4

Revision 1.45  2002/06/23 04:30:21  kloczek
- aded ac253 patch (fix for autoconf >= 2.5.3).

Revision 1.44  2002/06/22 23:07:05  kloczek
- release 3: merge translations from KSI and Kondara.

Revision 1.43  2002/05/21 23:14:49  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.42  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.41  2002/02/22 23:29:48  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.40  2002/01/18 02:15:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.39  2001/12/02 14:21:51  kloczek
- release 2: removed duplicated Group fields.

Revision 1.38  2001/11/16 19:09:21  filon
- changed breq: tcl-devel >= 8.3.2 to %{version}, it doesnt build with 8.3.2

Revision 1.37  2001/10/24 11:35:47  mkierus
- updated to 8.3.4

Revision 1.36  2001/08/10 21:51:06  kloczek
- fix for correc install tkInt.h.

Revision 1.35  2001/08/10 21:00:44  kloczek
- release 2: add tkInt.h to devel (header file neccessary on compile tix).

Revision 1.34  2001/06/17 09:08:18  jajcus
- Version: 8.3.3
- 64bit support enabled

Revision 1.33  2001/01/06 01:11:05  kloczek
- release 50: added "Requires: XFree86-devel" to tk-devel - this allow list
  only tk-devel in BuildRequires which silently also will mean "you also
  requires XFree86-devel for building package".

Revision 1.32  2000/11/16 21:05:27  kloczek
- added opt_flags_pass_fix patch fit fix passing optimization flags in
  $(CFLAGS).

Revision 1.31  2000/11/16 20:34:50  kloczek
- release 49 (for allow upgrade from RH),
- use newr rpm automation.

Revision 1.30  2000/10/10 16:26:56  wiget
BuildRequires: tcl-devel >= 8.3.2

Revision 1.29  2000/10/09 14:24:38  mis
- added missing tclIndex

Revision 1.28  2000/10/07 07:42:32  pascalek
- updated to 8.3.2
- gzipping and stripping removed

Revision 1.27  2000/07/02 21:26:08  kloczek
- bump release to 37 (for allow upgrade from RH 6.2).

Revision 1.26  2000/06/09 07:24:00  kloczek
- added using %%{__make} macro.

Revision 1.25  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.24  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.23  1999/09/06 20:05:06  kloczek
- release 31,
- added headers_fix paytch (which install neccessary for compile tix header
  files).

Revision 1.22  1999/07/28 16:30:41  kloczek
- release 3,
- added using %%configure macro.

Revision 1.21  1999/07/28 13:27:57  baggins
- stripping binaries

Revision 1.20  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.19  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun  6 1999 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  [8.0.5-2]
- based on RH spec,
- spec rewrited by PLD team.
